
---
#
# Pour installer PG et quelques outils
#
# ** Mettre à jour à chaque release majeure des manuels ! **
#

# FIXME
#  autodetect pgbench path
#  drop de public -> utile en v16 ??

# FIXME : scinder en plusieurs morceaux, un par TP, pour des appels séparés
# FIXME : rajouter des tags partout pour des appels par morceaux via --tags
# FIXME : problème de droit, les SQL ne peuvent pas être écrasés en cas de 2è appel ?
# FIXME : validate_certs à false sert à contourner problème de redirection dali.bo->public.dalibo.com : y a peut être plus propre ?

# - name: Installation de base + PG
#   ansible.builtin.import_playbook: 20_outils_base.yaml
  
- hosts: all
  remote_user: dalibo
  become: True
  become_user: postgres
  tasks:

    - name: Drop database if exists (stack)
      postgresql_db:
        name: stack
        state: absent
      become_user: postgres
    - name: Create database (stack)
      postgresql_db:
        name: stack
      become_user: postgres
    - name: Dézippage
      ansible.builtin.unarchive:
        src: /tmp/stack.tar.gz
        remote_src: yes
        dest: /tmp
        mode: 0777
    - name: Restore dump (stack)
      shell:
        cmd: "pg_restore -j 2 -d stack /tmp/stack"
      become_user: postgres
